%define majver %(echo %version | cut -d. -f1-2)

Name:          qt6-qtwebchannel
Version:       6.6.0
Release:       1mamba
Summary:       Qt6 webchannel component
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/%{majver}/%{version}/submodules/qtwebchannel-everywhere-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtdeclarative-devel
## AUTOBUILDREQ-END
BuildRequires: qt6-qtdeclarative-devel = %{version}

%description
Qt6 webchannel component.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n qtwebchannel-everywhere-src-%{version}

%build
%cmake -d build \
  -G Ninja

cmake --build .

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

DESTDIR="%{buildroot}" cmake --install build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libQt6WebChannel.so.*
%{_libdir}/libQt6WebChannelQuick.so.*
%{_libdir}/qt6/qml/QtWebChannel/*
%{_libdir}/qt6/metatypes/qt6webchannel_release_metatypes.json
%{_libdir}/qt6/metatypes/qt6webchannelquick_release_metatypes.json
%{_libdir}/qt6/modules/WebChannel.json
%{_libdir}/qt6/modules/WebChannelQuick.json
%doc LICENSES

%files devel
%defattr(-,root,root)
%dir %{_includedir}/qt6/QtWebChannel
%{_includedir}/qt6/QtWebChannel/*
%dir %{_includedir}/qt6/QtWebChannelQuick
%{_includedir}/qt6/QtWebChannelQuick/*
%{_libdir}/libQt6WebChannel.prl
%{_libdir}/libQt6WebChannel.so
%{_libdir}/libQt6WebChannelQuick.prl
%{_libdir}/libQt6WebChannelQuick.so
%{_libdir}/qt6/mkspecs/modules/qt_lib_webchannel*.pri
%{_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtWebChannelTestsConfig.cmake
%{_libdir}/cmake/Qt6Qml/QmlPlugins/Qt6WebChannelQuickplugin*.cmake
%{_libdir}/cmake/Qt6WebChannelQuick/Qt6WebChannelQuick*.cmake
%dir %{_libdir}/cmake/Qt6WebChannel
%{_libdir}/cmake/Qt6WebChannel/Qt6WebChannel*.cmake
%{_libdir}/pkgconfig/Qt6WebChannel.pc
%{_libdir}/pkgconfig/Qt6WebChannelQuick.pc
%doc README.md

%changelog
* Tue Oct 17 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 6.6.0-1mamba
- update to 6.6.0

* Sat Sep 30 2023 Automatic Build System <autodist@mambasoft.it> 6.5.3-1mamba
- automatic version update by autodist

* Sat Jul 22 2023 Automatic Build System <autodist@mambasoft.it> 6.5.2-1mamba
- automatic version update by autodist

* Mon May 29 2023 Automatic Build System <autodist@mambasoft.it> 6.5.1-1mamba
- automatic version update by autodist

* Fri Apr 21 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 6.5.0-1mamba
- update to 6.5.0

* Sat Mar 18 2023 Automatic Build System <autodist@mambasoft.it> 6.4.3-1mamba
- automatic version update by autodist

* Sun Jan 08 2023 Automatic Build System <autodist@mambasoft.it> 6.4.2-1mamba
- automatic version update by autodist

* Tue Nov 22 2022 Automatic Build System <autodist@mambasoft.it> 6.4.1-1mamba
- automatic version update by autodist

* Fri Oct 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.0-1mamba
- update to 6.4.0

* Tue Sep 13 2022 Automatic Build System <autodist@mambasoft.it> 6.3.2-1mamba
- automatic version update by autodist

* Sun Jun 19 2022 Automatic Build System <autodist@mambasoft.it> 6.3.1-1mamba
- automatic version update by autodist

* Thu Apr 14 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3.0-1mamba
- update to 6.3.0

* Mon Mar 21 2022 Automatic Build System <autodist@mambasoft.it> 6.2.4-1mamba
- automatic version update by autodist

* Sat Feb 26 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2.3-1mamba
- update to 6.2.3

* Fri Nov 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-2mamba
- bump release to allow updating subpackage from monolithic build

* Fri Nov 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-1mamba
- package created using the webbuild interface
